//查询已结案赔案信息
function queryEndCaseDataFn(){
	clearChecked();
	var beginDate=$("#endDateBegin").val();
	var endDate=$("#endDateEnd").val();
	var claimNo=$("#claimNo").val();
	$("#folderDataTbl tr:gt(0)").remove();
	if((beginDate=="" && endDate=="") && claimNo==""){
		alert("至少输入一个查询条件");
		return;
	}else{
		if(beginDate=="" && endDate!=""){
			alert("请录入起期");
			return;
		}
		if(endDate=="" && beginDate!=""){
			alert("请录入止期");
			return;
		}
	}
	$.ajax({
		type:"POST",
		url:"requestFolderQuery.do",
		data:{"beginDate":beginDate,"endDate":endDate,"claimNo":claimNo},
		error :function(){
			alert("无查询结果！");
			return ;
		},
		success :function(data){
			if(data!=null && data!=""){
				for ( var i = 0; i < data.length; i++) {
					var obj=data[i];
					var tr="<tr></tr>";
					var td1="<td><span class='check_no' onclick=\"cvtCheck(this),checkAll(this,'2')\"></span></td>";
					var td2="<td>"+checkNull(obj.claimNo)+"</td>";
					var td3="<td>"+checkNull(obj.customerName)+"</td>";
					var td4="<td>"+checkNull(obj.pid)+"</td>";
					var td5="<td>"+jsonDateFormat(checkNull(obj.accidentDate),10)+"</td>";
					var td6="<td>"+checkNull(obj.reportName)+"</td>";
					var td7="<td>"+checkNull(obj.realClmAmt)+"</td>";
					var td8="<td>"+jsonDateFormat(checkNull(obj.regDate),10)+"</td>";
					var td9="<td>"+jsonDateFormat(checkNull(obj.endDate),10)+"</td>";
					var td10="<td>"+checkNull(obj.auditor)+"</td>";
					var td11="<td>"+checkNull(obj.caseSource)+"</td>";
					
					var trdata=$(tr).append(td1).append(td2).append(td3).append(td4).append(td5).append(td6).append(td7).append(td8).append(td9).append(td10).append(td11);
					$("#folderDataTbl").append(trdata);
					
				}
			}else{
				alert("无查询结果！");
			}
		}
	});
}
//卷宗打印功能
function folderPrintFn(){
	var bool=false;//一个没选 
	var count=0;
	$("#folderDataTbl tr:gt(0)").each(function (){
		if($(this).find("span").attr("class")!="check_no"){
			bool=true;//有选择
			count++;
			return ;
		}
	});
//	if(count>10){
//		alert("所选记录不能超过10条");
//		return ;
//	}
	if(bool){
		if(confirm("是否打印？")){
			var folderPrintVoList = [];
			$("#folderDataTbl tr:gt(0)").each(function (){
				if($(this).find("span").attr("class")!="check_no"){
					var fpVo={};
					
					fpVo.claimNo=$(this).find("td:eq(1)").text();// 赔案号
					fpVo.customerName=$(this).find("td:eq(2)").text();// 被保人姓名
					fpVo.pid=$(this).find("td:eq(3)").text();// 被保人身份证号
					fpVo.accidentDate=$(this).find("td:eq(4)").text();// 出险日期
					fpVo.reportName=$(this).find("td:eq(5)").text();// 报案人姓名
					fpVo.realClmAmt=$(this).find("td:eq(6)").text();// 应付金额
					fpVo.regDate=$(this).find("td:eq(7)").text();// 立案日期
					fpVo.endDate=$(this).find("td:eq(8)").text();// 结案日期
					fpVo.auditor=$(this).find("td:eq(9)").text();// 初审操作员
					fpVo.caseSource=$(this).find("td:eq(10)").text();// 赔案来源
					
					folderPrintVoList.push(fpVo);
				}
			});
			$("#printBtn").removeAttr("onclick");
			$.ajax({
				 type: "POST",  
			     url: "requestFolderPrint.do",
			     data:JSON.stringify(folderPrintVoList),
				 contentType:"application/json; charset=UTF-8",
			     success:function(data){
			    	$("#printBtn").attr("onclick","folderPrintFn()");
		    		alert(data);
			     },
			     error:function(data){
			    	 $("#printBtn").attr("onclick","folderPrintFn()");
			    	 alert(data);
			     }
			});
		}
	}else{
		alert("请勾选要打印的赔案！");
	}
}
//判断是否全选
function checkAll(flag1,flag2){
	if(flag2=="1"){//总开关
		if($(flag1).attr("class")=="check_no"){
			$("#folderDataTbl tr:gt(0)").each(function (){
				$(this).find("span").attr("class","check_yes");
			});
		}else{
			$("#folderDataTbl tr:gt(0)").each(function (){
				$(this).find("span").attr("class","check_no");
			});
		}
	}else{//子开关
		if($(flag1).attr("class")=="check_yes"){
			var bool=false;
			$("#folderDataTbl tr:gt(0)").each(function (){
				if($(this).find("span").attr("class")=="check_no"){
					bool=true;
					return;
				}
			});
			if(!bool){
				$("#titSpan").attr("class","check_yes");
			}
		}else{
			$("#titSpan").attr("class","check_no");
		}
	}
}
//清空所有全选按钮选框
function clearChecked(){
	$("#folderDataTbl tr").each(function (){
		$(this).find("span").attr("class","check_no");
	});
}
//非空校验
function checkNull(flag){
	if(flag==null || flag=="" || flag=="null"|| flag==undefined){
		return "";
	}else{
		return flag;
	}
}
//时间显示工具
function jsonDateFormat(date,length){
	if(date==null || date==""){
		return "";
	}
	if(isNaN(date)){
		return date;
	}
    var datetime = new Date();
    datetime.setTime(date);
    var year = datetime.getFullYear();
    var month = datetime.getMonth() + 1 < 10 ? "0" + (datetime.getMonth() + 1) : datetime.getMonth() + 1;
    var date = datetime.getDate() < 10 ? "0" + datetime.getDate() : datetime.getDate();
    var hour = datetime.getHours()< 10 ? "0" + datetime.getHours() : datetime.getHours();
    var minute = datetime.getMinutes()< 10 ? "0" + datetime.getMinutes() : datetime.getMinutes();
    var second = datetime.getSeconds()< 10 ? "0" + datetime.getSeconds() : datetime.getSeconds();
    if(length==10){
    	return year + "-" + month + "-" + date;
    }else{
    	return year + "-" + month + "-" + date+" "+hour+":"+minute+":"+second;
    }
}
//重写check方法
function cvtCheck(check){
	if($(check).attr("class")=="check_no"){
		$(check).attr("class","check_yes");
	}else{
		$(check).attr("class","check_no");
	}
}